=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kstreamripper-trinity
 Section: sound 
 Priority: optional
-Maintainer: Michael Ablassmeier <abi@debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), cdbs, tdelibs14-trinity-dev, cmake, quilt
 Standards-Version: 3.8.4
