=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound 
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), cdbs, tdelibs14-trinity-dev, cmake, quilt
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kstreamripper-trinity
