=== debian/changelog ===
kstreamripper-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 19 Aug 2023 16:11:56 +0200
