## kstreamripper-trinity 14.1.3

=== debian/changelog ===
kstreamripper-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 06 Sep 2024 01:37:12 +0200
