=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kstreamripper (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
     kstreamripperbase.ui
     kstreamripper.cpp
     main.cpp
     processcontroller.cpp
     processlistviewitem.cpp
     streampropertiesdlgbase.ui
     streampropertiesdlg.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdednssd-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES kstreamripperui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )
