## kstreamripper-trinity 14.1.6~pre0

=== debian/changelog ===
kstreamripper-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9dd9a56883b6c33fbe372564705c6fb8f945d029
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
