## kstreamripper-trinity 14.1.6~pre1

=== debian/changelog ===
kstreamripper-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dbb2767659209736b54c96ad97fa828203be1092
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:42:58 +0100
