## kstreamripper-trinity 14.2.0~pre56

=== debian/changelog ===
kstreamripper-trinity (4:14.2.0~pre56-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5fddac765c41fba39d250a01609f4f4ff4a1c9d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
