## kstreamripper-trinity 14.2.0~pre57

=== debian/changelog ===
kstreamripper-trinity (4:14.2.0~pre57-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for d3229302ce1cb477da0ce1ad8ad323466c01bd99
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:57 +0100
